---
title: Adding Codes
description: 
published: true
date: 2024-04-21T16:59:26.383Z
tags: 
editor: markdown
dateCreated: 2024-04-21T13:25:24.536Z
---

# Adding Codes
There currently are three ways to import codes into Code Guard.

Note: Code Guard will automatically detect if you are scanning a Google Authenticator export QR code and will import all contained 2FA codes.

## Scan QR code
Scanning a QR code is the easiest and most common way to import codes. A website/service will usually give you a QR code when you setup 2FA on your account.
- When in a group, tap on the `+` icon in the upper right corner
- Tap on `Scan QR code`
- Allow access to the camera and scan the code
- The code should now appear in the group

## Scan image
Scanning an image allows you to scan a QR code from e.g. a screenshot.
- When in a group, tap on the `+` icon in the upper right corner
- Tap on `Scan image`
- Select a file from your images
- The code should now appear in the group

## Input manually
This is the most advanced option of adding a code, allowing you to customize all of its parameters.
- When in a group, tap on the `+` icon in the upper right corner
- Tap on `Input manually`
- Fill out the fields
  - `Type`: The type of the code (usually TOTP)
  - `Name`: Typically your username/email on the service
  - `Issuer`: The name of the service which issued the code
  - `Secret`: The (base32-encoded) secret provided by the service, this might be displayed alongside the QR code
  - `Algorithm`: The hashing algorithm used for generating codes (usually SHA1)
  - `Digits`: The number of digits used for codes
  - `Add checksum`: If the code requires an additional checksum digit
  - `Period`: Used for TOTP codes. Defines the interval at which codes are refreshed (usually 30 seconds).
  - `Counter`: Used for HOTP codes. The initial counter value for the HOTP code (usually 0 or 1)
- The code should now appear in the group
